#include "npstat/stat/Trig2GOFTest1D.hh"

namespace npstat {
    unsigned Trig2GOFTest1D::normalizedDeviations(
        const double* data, const unsigned long sz,
        bool /* isDataSorted */,
        double* deviations, const unsigned lenDeviations) const
    {
        assert(lenDeviations >= nUnmasked_);
        return normalizedDeviationsHelper(data, sz, deviations);
    }

    unsigned Trig2GOFTest1D::normalizedDeviations(
        const float* data, const unsigned long sz,
        bool /* isDataSorted */,
        double* deviations, const unsigned lenDeviations) const
    {
        assert(lenDeviations >= nUnmasked_);
        return normalizedDeviationsHelper(data, sz, deviations);
    }
}
