#ifndef NPSTAT_LDTODFUNCTOR1_HH_
#define NPSTAT_LDTODFUNCTOR1_HH_

#include "npstat/nm/SimpleFunctors.hh"

namespace npstat {
    class LDtoDFunctor1 : public Functor1<double,double>
    {
    public:
        inline LDtoDFunctor1(const Functor1<long double,long double>& fcn)
            : fcn_(fcn) {}

        inline virtual ~LDtoDFunctor1() {}

        inline double operator()(const double& x) const
            {return fcn_(x);}
        
    private:
        const Functor1<long double,long double>& fcn_;
    };
}

#endif // NPSTAT_LDTODFUNCTOR1_HH_
