#include <stdexcept>

#include "npstat/stat/PLogliOSDE1DResult.hh"

namespace npstat {
    const char* plOSDEMinimizerName(const unsigned code)
    {
        static const char* names[PLOSDE_N_MINIMIZER_CODES] = {
            "Unoptimized",
            "Minuit"
        };

        if (code >= PLOSDE_N_MINIMIZER_CODES) throw std::invalid_argument(
            "In npstat::plOSDEMinimizerName: minimizer code is out of range");
        return names[code];
    }
}
